Name:           openoffice.org-startcom-menus
Version:        2.3
Release:        9215%{?dist}
Summary:	OpenOffice.org desktop integration
Group:          Office
License:        LGPL
URL:            http://openoffice.org
Source0:	%{name}-%{version}.tar.gz        
BuildRoot:      %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
BuildArchitectures: noarch
Requires:	openoffice.org-core01 startcom-release /bin/sh
Requires(post): desktop-file-utils >= 0.8
Requires(postun): desktop-file-utils >= 0.8

%description
OpenOffice.org desktop integration for StartCom Linux

%prep

%setup -q
rm -rf opt/

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
cp -a * $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/usr/bin/update-desktop-database %{_datadir}/applications

%postun 
/usr/bin/update-desktop-database %{_datadir}/applications

%files
%defattr(-,root,root,-)
%{_sysconfdir}/openoffice.org2.3
%{_bindir}/*
%{_datadir}/application-registry/*
%{_datadir}/applications/*.desktop
%{_datadir}/applnk/Office/*.desktop
%{_datadir}/icons/*
%{_datadir}/mime/*
%{_datadir}/mime-info/*
%{_datadir}/mimelnk/*

%changelog
* Sun Sep 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Sun Sep 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Initial build for StartCom Linux 5.0.x
